# Uses of Class
org.apache.trevni.ColumnFileMetaData

## Uses of ColumnFileMetaData in org.apache.trevni

Methods in org.apache.trevni that return ColumnFileMetaData
Modifier and Type
Method
Description
`ColumnFileMetaData`
ColumnFileReader.`getMetaData()`
Return this file's metadata.
`ColumnFileMetaData`
ColumnFileWriter.`getMetaData()`
Return this file's metadata.
Constructors in org.apache.trevni with parameters of type ColumnFileMetaData
Modifier
Constructor
Description
``
`ColumnFileWriter(ColumnFileMetaData fileMeta, ColumnMetaData... columnMeta)`
Construct given metadata for each column in the file.